pcl::DOTMOD Class Reference

Template matching using the DOTMOD approach. More...

`#include <pcl/recognition/dotmod.h>`

## Public Member Functions

| DOTMOD (size_t template_width, size_t template_height)
| Constructor. More...
virtual | ~DOTMOD ()
| Destructor. More...
size_t | createAndAddTemplate (const std::vector< DOTModality * > &modalities, const std::vector< MaskMap * > &masks, size_t template_anker_x, size_t template_anker_y, const RegionXY &region)
| Creates a template from the specified data and adds it to the matching queue. More...
void | detectTemplates (const std::vector< DOTModality * > &modalities, float template_response_threshold, std::vector< DOTMODDetection > &detections, const size_t bin_size) const
const DenseQuantizedMultiModTemplate & | getTemplate (size_t template_id) const
size_t | getNumOfTemplates ()
void | saveTemplates (const char *file_name) const
void | loadTemplates (const char *file_name)
void | serialize (std::ostream &stream) const
void | deserialize (std::istream &stream)

## Detailed Description

Template matching using the DOTMOD approach.

Author
  Stefan Holzer, Stefan Hinterstoisser

Definition at line 65 of file dotmod.h.

## Constructor & Destructor Documentation

pcl::DOTMOD::DOTMOD | ( | size_t | template_width,
|  | size_t | template_height
| ) |  |

Constructor.

virtual pcl::DOTMOD::~DOTMOD | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

size_t pcl::DOTMOD::createAndAddTemplate | ( | const std::vector< DOTModality * > & | modalities,
|  | const std::vector< MaskMap * > & | masks,
|  | size_t | template_anker_x,
|  | size_t | template_anker_y,
|  | const RegionXY & | region
| ) |  |

Creates a template from the specified data and adds it to the matching queue.

Parameters

  modalities |
  masks |
  template_anker_x |
  template_anker_y |
  region |

void pcl::DOTMOD::deserialize | ( | std::istream & | stream | ) |

void pcl::DOTMOD::detectTemplates | ( | const std::vector< DOTModality * > & | modalities,
|  | float | template_response_threshold,
|  | std::vector< DOTMODDetection > & | detections,
|  | const size_t | bin_size
| ) |  | const

size_t pcl::DOTMOD::getNumOfTemplates | ( |  | ) |

inline

Definition at line 102 of file dotmod.h.

const DenseQuantizedMultiModTemplate& pcl::DOTMOD::getTemplate | ( | size_t | template_id | ) | const

inline

Definition at line 96 of file dotmod.h.

void pcl::DOTMOD::loadTemplates | ( | const char * | file_name | ) |

void pcl::DOTMOD::saveTemplates | ( | const char * | file_name | ) | const

void pcl::DOTMOD::serialize | ( | std::ostream & | stream | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/dotmod.h